- List all reviews
- okta.governance.accessCertifications.read
- ACCESS_CERTIFICATIONS_ADMIN
Lists reviews in your org:
- Reviews exist only for campaigns that have been launched with a status of
ACTIVEorCOMPLETED. - If a review hasn't been reviewed (
decisionisUNREVIEWED), then thedecidedproperty is null. - If remediation isn't done on a review, then the
remediationStatusproperty is null.
This operation supports pagination. Use the after and limit query parameters to page through the list, and follow the Link response header to retrieve the next page of results.
Note: Requesting a list of reviews without a filter impacts performance. If your org has a large number of campaigns and reviews, the request might time out or fail. Okta recommends that you list reviews on a per-campaign basis, using the
filterquery parameter.
A filter expression that filters a collection of reviews in the response. The filter expression supports the eq operator and the following properties:
campaignIdprincipalId(corresponds toprincipalProfile.id)reviewerId(corresponds toreviewerProfile.id)decisionresourceIdreviewerTypereviewerLevel(corresponds tocurrentReviewerLevel)entitlementValueId(corresponds toentitlementValue.id)entitlementBundleId(corresponds toentitlementBundle.id)
Note: Query parameter percent encoding is required. See Percent-encoding.
Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Specifies a property to sort the results. The following properties are supported:
decideddecisionremediationStatuscreated
Append desc or asc to indicate the sorting direction.
By default, the results are sorted by created in ascending order (created asc).
Note: Query parameter percent encoding is required. See Percent-encoding.
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v1/reviews?filter=campaignId%20eq%20%22icitdyhndQ6qstyvR8g5%22&after=00u68w6vzKLultXS97g6&limit=20&orderBy=decided%20desc'- List of reviews filtered by campaignId |tooltip| The list of reviews that belong to that campaign.
- List of reviews filtered by decision made |tooltip| The list of reviews that are filter by specific `decision`.
- List of reviews filtered by the principal ID |tooltip| The list of access reviews for a specific user (the principal)
- List of reviews filtered by resource ID
- List of reviews filtered by reviewer ID |tooltip| The list of reviews that are assigned to a specific reviewer.
- List of reviews filtered by reviewerType |tooltip| The list of reviews that are mapped to specific reviewer type.
- List of reviews filtered by reviewerLevel |tooltip| The list of reviews whose `currentReviewerLevel` maps the filter criteria. In this example, since the the `currentReviewerLevel = FIRST`, the properties `reviewerGroupProfile`, `reviewerType` are level 1 details defined in the campaign.
- List of reviews filtered by entitlement value ID |tooltip| The list of reviews that are mapped to a specific entitlement value ID
{ "data": [ { … } ], "_links": { "self": { … }, "next": { … } } }